### Method

# AppStream Artifact get_platform

#### Declaration [src]

    const gchar*
    as_artifact_get_platform (
      AsArtifact* artifact
    )

#### Description [src]

Gets the artifact platform string (e.g. a triplet like “x86_64-linux-gnu”).

#### Return value

Type: `const gchar*`

The platform triplet or identifier string.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.